Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex
Class DefineState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.trex.DefineState

All Implemented Interfaces:
  org.xml.sax.ContentHandler, ExpressionOwner

Direct Known Subclasses:
  DefineState, DefineState

public abstract class DefineState
extends SimpleState
implements ExpressionOwner

parses <define> declaration.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`DefineState()`

Method Summary
`ReferenceExp` | `getRef()` Obtains a `ReferenceExp` that represents the target pattern block.
`void` | `onEndChild(Expression child)` receives a Pattern object that is contained in this element.

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefineState

    public DefineState()

Method Detail

### getRef

    public final ReferenceExp getRef()

  Obtains a `ReferenceExp` that represents the target pattern block.

  Returns:
    null If there was an error in the input, this method may return null.

### onEndChild

    public final void onEndChild(Expression child)

  receives a Pattern object that is contained in this element.

  Specified by:
    `onEndChild` in interface `ExpressionOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD